<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.style24.scm.biz.dao.TssWmsPosDao">

	<!-- 출고요청 M     -->
	<insert id="insertWmsTbIfDeliveryOrder" parameterType="Pos" useGeneratedKeys="true" keyProperty="deliveryorderno">
		/*TsbWmsDelivery.insertWmsTbIfDeliveryOrder*/
		INSERT INTO iSTYLE24_WmsIf.dbo.TB_IF_DeliveryOrder
		(
			  OrderGUID				-- 주문서 고유번호
			, OrderNo				-- 주문번호
			, DeliveryTypeCd		-- 배송타입형태
			, IssueTypeCd			-- 주문타입
			, DeliveryUnitNo		-- 물류단위 번호
			, DateIssued			-- 배송 데이터 수집일
			, DateReceived
			, DateSent
			, StatusCd				-- 배송 상태
			, LoginId				-- 로그인 아이디
			, CustomerName			-- 주문자 명
			, DateOrdered			-- 주문 일
			, Grade					-- 회원 등급
			, Receiver				-- 주문자
			, ReceiverTelNum		-- 주문자 전화번호
			, ReceiverCellNum		-- 주문자 핸드폰 번호
			, DeliveryPostalCode	-- 우편번호
			, DeliveryAddr1			-- 기본 주소
			, DeliveryAddr2			-- 상세 주소
			, LogisticsNo			-- 택배사 고유번호
			, LogisticsName			-- 택배사 명
			, DeliveryMemo			-- 배송 메모
			, ProductSummary		-- 상품명
			, IsCancel				-- 배송 취소 여부
			, IsChangeAddress		-- 배송지 변경 여부
			, IsReOrder				-- 재주문 여부
			, OrderPath				-- 주문 경로
			, DeliveryClassCd		-- 배송 형태 (당일)
			, ShippingTypeCd		-- 출고 구분
			, IsBeautyDelivery		-- 선물 포장 여부
			, DeliveryAddrNew		-- 도로명 주소
			, IfYn					-- I/F여부
			, PayGb
		)
		VALUES
		(
			  #{orderguid}
			, #{orderno}				
			, #{deliverytypecd}		
			, #{issuetypecd}			
			, 0	
			, GETDATE()				
			, GETDATE()	
			, GETDATE()	
			, #{statuscd}				
			, #{loginid}				
			, #{customername}			
			, #{dateordered}			
			, #{grade}					
			, #{receiver}				
			, #{receivertelnum}		
			, #{receivercellnum}		
			, #{deliverypostalcode}	
			, #{deliveryaddr1}			
			, #{deliveryaddr2}			
			, #{logisticsno}			
			, #{logisticsname}			
			, #{deliverymemo}			
			, #{productsummary}				
			, #{iscancel}				
			, #{ischangeaddress}		
			, #{isreorder}				
			, #{orderpath}				
			, #{deliveryclasscd}		
			, #{shippingtypecd}				
			, CASE WHEN #{isbeautydelivery} = 'N' THEN 0 ELSE 1 END 		    
			, #{deliveryaddrnew}	
			, 'Y'					
			, #{payGb}
		)
	</insert>		
	
	<!-- 출고요청 D     -->
	<insert id="insertWmsTbIfDeliveryOrderItem" parameterType="Pos" useGeneratedKeys="true" keyProperty="deliveryorderitemno" >
		/*TsbWmsDelivery.insertWmsTbIfDeliveryOrderItem*/
		INSERT INTO iSTYLE24_WmsIf.dbo.TB_IF_DeliveryOrderItem
		(
			  DeliveryOrderNo		-- 배송번호
			, ProviderNo			-- 공급자 번호
			, ProductNo				-- 상품 번호
			, ProductCode			-- 상품 코드
			, ProductName			-- 상품 명
			, ProductTypeCd			-- 상품 타입
			, SKUCode				-- 옵션 코드
			, SKUValue				-- 옵션 값
			, UnitPrice				-- 단가(판매가)
			, Qty					-- 수량
			, StatusCd				-- 배송상태
			, DateReceived
			, DateSent
			, DateLastModified		-- 수정일
			, IsCancel				-- 취소
			, StockMgmtTypeCd		-- 재고관리 타입
			, GiftYn				-- 사은품여부
			, SetProductCode		-- 세트상품코드
			, SetProductYn			-- 세트상품여부
			, SetproductName		-- 세트상품명
			, OrderDtlNo			-- 주문상세번호
			, IfYn					-- I/F여부
			, IfDate				-- I/F일자
			, Cqty					-- 취소수량
			, SetQty				-- 세트수량
			, SetItemQty			-- 세트구성수량
		)
		VALUES 
		(
			  #{deliveryorderno}		-- 배송번호
			, #{providerno}				-- 공급자 번호
			, #{productno}				-- 상품 번호
			, #{productcode}			-- 상품 코드
			, #{productname}			-- 상품 명
			, #{producttypecd}			-- 상품 타입
			, #{skucode}				-- 옵션 코드
			, #{skuvalue}				-- 옵션 값
			, #{unitprice}				-- 단가(판매가)
			, #{qty}					-- 수량
			, #{statuscd}				-- 배송상태
			, GETDATE()
			, GETDATE()
			, GETDATE()						-- 수정일
			, #{iscancel}				-- 취소
			, #{stockmgmttypecd}		-- 재고관리 타입
			, #{giftyn}					-- 사은품여부
			, #{setproductcode}			-- 세트상품코드
			, #{setproductyn}			-- 세트상품여부
			, #{setproductname}			-- 세트상품명
			, #{orderdtlno}				-- 주문상세번호
			, #{ifyn}					-- I/F여부
			, #{ifdate}					-- I/F일자
			, #{cqty}					-- 취소수량
			, #{setqty}					-- 세트수량
			, #{setitemqty}				-- 세트구성수량
		)		
	</insert>		
	
	<!-- 출고요청 D     -->
	<insert id="insertWmsTbIfDeliveryInvoice" parameterType="Pos" useGeneratedKeys="true" keyProperty="invoicenoseq" >
		/*TsbWmsDelivery.insertWmsTbIfDeliveryInvoice*/
		INSERT INTO istyle24_Wmsif.dbo.TB_IF_DeliveryInvoice
		(
			  orderNo
			, orderDtlNo
			, LogisticsNo
			, InvoiceNo
			, DateShip
			, Qty
			, AddInvoiceYn
			, DateFirstCreated
			, IfYn
			, IfDate
			, ProductNo
			, SKUCode
		)
		VALUES 
		(
			  #{orderno}
			, #{orderdtlno}
			, #{wmsShipCompCd}
			, #{invoiceNo}
			, GETDATE()	
			, 0
			, 'N'
			, GETDATE()	
			, 'Y'
			, GETDATE()	
			, #{productno}
			, #{skucode}
		)

	</insert>
	
	
	
	
</mapper>